# TdApi.SetFileGenerationProgress (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: SetFileGenerationProgress

Package it.tdlight.jni

# Class TdApi.SetFileGenerationProgress

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.SetFileGenerationProgress

Enclosing class:
  TdApi

    public static class TdApi.SetFileGenerationProgress
    extends TdApi.Function

Informs TDLib on a file generation progress.

Returns `Ok`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`int` | `expectedSize` | Expected size of the generated file, in bytes; 0 if unknown.
`long` | `generationId` | The identifier of the generation process.
`int` | `localPrefixSize` | The number of bytes already generated.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`SetFileGenerationProgress()` | Informs TDLib on a file generation progress.
`SetFileGenerationProgress​(long generationId, int expectedSize, int localPrefixSize)` | Informs TDLib on a file generation progress.
`SetFileGenerationProgress​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### generationId

public long generationId
The identifier of the generation process.

### expectedSize

public int expectedSize
Expected size of the generated file, in bytes; 0 if unknown.

### localPrefixSize

public int localPrefixSize
The number of bytes already generated.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### SetFileGenerationProgress

public SetFileGenerationProgress()
Informs TDLib on a file generation progress.

Returns `Ok`

### SetFileGenerationProgress

public SetFileGenerationProgress​(long generationId, int expectedSize, int localPrefixSize)
Informs TDLib on a file generation progress.

Returns `Ok`

Parameters:
  `generationId` - long The identifier of the generation process.
  `expectedSize` - int Expected size of the generated file, in bytes; 0 if unknown.
  `localPrefixSize` - int The number of bytes already generated.

### SetFileGenerationProgress

public SetFileGenerationProgress​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`